<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /home/munajat/code/munajat-app/app</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="_css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="_css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="_css/style.css" rel="stylesheet" type="text/css">
  <link href="_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="index.html">/home/munajat/code/munajat-app/app</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Http/Middleware/Authenticate.php.html#7">App\Http\Middleware\Authenticate</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Middleware/RedirectIfAuthenticated.php.html#10">App\Http\Middleware\RedirectIfAuthenticated</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Middleware/TrustHosts.php.html#7">App\Http\Middleware\TrustHosts</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Models/Kategori.php.html#9">App\Models\Kategori</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Providers/BroadcastServiceProvider.php.html#8">App\Providers\BroadcastServiceProvider</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Models/User.php.html#13">App\Models\User</a></td><td class="text-right">50%</td></tr>
       <tr><td><a href="Console/Kernel.php.html#8">App\Console\Kernel</a></td><td class="text-right">66%</td></tr>
       <tr><td><a href="Providers/RouteServiceProvider.php.html#11">App\Providers\RouteServiceProvider</a></td><td class="text-right">88%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Http/Middleware/RedirectIfAuthenticated.php.html#10">App\Http\Middleware\RedirectIfAuthenticated</a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Http/Middleware/Authenticate.php.html#7">App\Http\Middleware\Authenticate</a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Providers/RouteServiceProvider.php.html#11">App\Providers\RouteServiceProvider</a></td><td class="text-right">3</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Console/Kernel.php.html#16"><abbr title="App\Console\Kernel::schedule">schedule</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Middleware/Authenticate.php.html#15"><abbr title="App\Http\Middleware\Authenticate::redirectTo">redirectTo</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Middleware/RedirectIfAuthenticated.php.html#20"><abbr title="App\Http\Middleware\RedirectIfAuthenticated::handle">handle</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Http/Middleware/TrustHosts.php.html#14"><abbr title="App\Http\Middleware\TrustHosts::hosts">hosts</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Models/Kategori.php.html#25"><abbr title="App\Models\Kategori::tulisans">tulisans</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Models/User.php.html#58"><abbr title="App\Models\User::tulisans">tulisans</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Providers/BroadcastServiceProvider.php.html#15"><abbr title="App\Providers\BroadcastServiceProvider::boot">boot</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Providers/RouteServiceProvider.php.html#46"><abbr title="App\Providers\RouteServiceProvider::configureRateLimiting">configureRateLimiting</abbr></a></td><td class="text-right">50%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Http/Middleware/RedirectIfAuthenticated.php.html#20"><abbr title="App\Http\Middleware\RedirectIfAuthenticated::handle">handle</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Http/Middleware/Authenticate.php.html#15"><abbr title="App\Http\Middleware\Authenticate::redirectTo">redirectTo</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Providers/RouteServiceProvider.php.html#46"><abbr title="App\Providers\RouteServiceProvider::configureRateLimiting">configureRateLimiting</abbr></a></td><td class="text-right">2</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 9.2.19</a> using <a href="https://secure.php.net/" target="_top">PHP 8.1.2-1ubuntu2.9</a> and <a href="https://phpunit.de/">PHPUnit 9.5.26</a> at Tue Dec 13 2:20:39 UTC 2022.</small>
    </p>
   </footer>
  </div>
  <script src="_js/jquery.min.js" type="text/javascript"></script>
  <script src="_js/d3.min.js" type="text/javascript"></script>
  <script src="_js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([5,0,0,0,0,0,1,1,0,1,0,25], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([7,0,0,0,0,0,1,0,0,0,0,31], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[66.66666666666666,2,"<a href=\"Console\/Kernel.php.html#8\">App\\Console\\Kernel<\/a>"],[100,1,"<a href=\"Exceptions\/Handler.php.html#8\">App\\Exceptions\\Handler<\/a>"],[100,5,"<a href=\"Filament\/Resources\/KategoriResource.php.html#17\">App\\Filament\\Resources\\KategoriResource<\/a>"],[100,0,"<a href=\"Filament\/Resources\/KategoriResource\/Pages\/CreateKategori.php.html#9\">App\\Filament\\Resources\\KategoriResource\\Pages\\CreateKategori<\/a>"],[100,1,"<a href=\"Filament\/Resources\/KategoriResource\/Pages\/EditKategori.php.html#9\">App\\Filament\\Resources\\KategoriResource\\Pages\\EditKategori<\/a>"],[100,1,"<a href=\"Filament\/Resources\/KategoriResource\/Pages\/ListKategoris.php.html#9\">App\\Filament\\Resources\\KategoriResource\\Pages\\ListKategoris<\/a>"],[100,7,"<a href=\"Filament\/Resources\/TulisanResource.php.html#27\">App\\Filament\\Resources\\TulisanResource<\/a>"],[100,1,"<a href=\"Filament\/Resources\/TulisanResource\/Pages\/CreateTulisan.php.html#9\">App\\Filament\\Resources\\TulisanResource\\Pages\\CreateTulisan<\/a>"],[100,1,"<a href=\"Filament\/Resources\/TulisanResource\/Pages\/EditTulisan.php.html#9\">App\\Filament\\Resources\\TulisanResource\\Pages\\EditTulisan<\/a>"],[100,1,"<a href=\"Filament\/Resources\/TulisanResource\/Pages\/ListTulisans.php.html#9\">App\\Filament\\Resources\\TulisanResource\\Pages\\ListTulisans<\/a>"],[100,4,"<a href=\"Filament\/Resources\/UserResource.php.html#18\">App\\Filament\\Resources\\UserResource<\/a>"],[100,1,"<a href=\"Filament\/Resources\/UserResource\/Pages\/CreateUser.php.html#9\">App\\Filament\\Resources\\UserResource\\Pages\\CreateUser<\/a>"],[100,1,"<a href=\"Filament\/Resources\/UserResource\/Pages\/EditUser.php.html#9\">App\\Filament\\Resources\\UserResource\\Pages\\EditUser<\/a>"],[100,1,"<a href=\"Filament\/Resources\/UserResource\/Pages\/ListUsers.php.html#9\">App\\Filament\\Resources\\UserResource\\Pages\\ListUsers<\/a>"],[100,0,"<a href=\"Http\/Controllers\/Controller.php.html#10\">App\\Http\\Controllers\\Controller<\/a>"],[100,0,"<a href=\"Http\/Kernel.php.html#7\">App\\Http\\Kernel<\/a>"],[0,2,"<a href=\"Http\/Middleware\/Authenticate.php.html#7\">App\\Http\\Middleware\\Authenticate<\/a>"],[100,0,"<a href=\"Http\/Middleware\/EncryptCookies.php.html#7\">App\\Http\\Middleware\\EncryptCookies<\/a>"],[100,0,"<a href=\"Http\/Middleware\/PreventRequestsDuringMaintenance.php.html#7\">App\\Http\\Middleware\\PreventRequestsDuringMaintenance<\/a>"],[0,4,"<a href=\"Http\/Middleware\/RedirectIfAuthenticated.php.html#10\">App\\Http\\Middleware\\RedirectIfAuthenticated<\/a>"],[100,0,"<a href=\"Http\/Middleware\/TrimStrings.php.html#7\">App\\Http\\Middleware\\TrimStrings<\/a>"],[0,1,"<a href=\"Http\/Middleware\/TrustHosts.php.html#7\">App\\Http\\Middleware\\TrustHosts<\/a>"],[100,0,"<a href=\"Http\/Middleware\/TrustProxies.php.html#8\">App\\Http\\Middleware\\TrustProxies<\/a>"],[100,0,"<a href=\"Http\/Middleware\/ValidateSignature.php.html#7\">App\\Http\\Middleware\\ValidateSignature<\/a>"],[100,0,"<a href=\"Http\/Middleware\/VerifyCsrfToken.php.html#7\">App\\Http\\Middleware\\VerifyCsrfToken<\/a>"],[0,1,"<a href=\"Models\/Kategori.php.html#9\">App\\Models\\Kategori<\/a>"],[50,2,"<a href=\"Models\/User.php.html#13\">App\\Models\\User<\/a>"],[100,2,"<a href=\"Models\/tulisan.php.html#9\">App\\Models\\tulisan<\/a>"],[100,2,"<a href=\"Providers\/AppServiceProvider.php.html#7\">App\\Providers\\AppServiceProvider<\/a>"],[100,1,"<a href=\"Providers\/AuthServiceProvider.php.html#8\">App\\Providers\\AuthServiceProvider<\/a>"],[0,1,"<a href=\"Providers\/BroadcastServiceProvider.php.html#8\">App\\Providers\\BroadcastServiceProvider<\/a>"],[100,2,"<a href=\"Providers\/EventServiceProvider.php.html#10\">App\\Providers\\EventServiceProvider<\/a>"],[88.88888888888889,3,"<a href=\"Providers\/RouteServiceProvider.php.html#11\">App\\Providers\\RouteServiceProvider<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Console\/Kernel.php.html#16\">App\\Console\\Kernel::schedule<\/a>"],[100,1,"<a href=\"Console\/Kernel.php.html#26\">App\\Console\\Kernel::commands<\/a>"],[100,1,"<a href=\"Exceptions\/Handler.php.html#44\">App\\Exceptions\\Handler::register<\/a>"],[100,2,"<a href=\"Filament\/Resources\/KategoriResource.php.html#23\">App\\Filament\\Resources\\KategoriResource::form<\/a>"],[100,1,"<a href=\"Filament\/Resources\/KategoriResource.php.html#46\">App\\Filament\\Resources\\KategoriResource::table<\/a>"],[100,1,"<a href=\"Filament\/Resources\/KategoriResource.php.html#74\">App\\Filament\\Resources\\KategoriResource::getRelations<\/a>"],[100,1,"<a href=\"Filament\/Resources\/KategoriResource.php.html#81\">App\\Filament\\Resources\\KategoriResource::getPages<\/a>"],[100,1,"<a href=\"Filament\/Resources\/KategoriResource\/Pages\/EditKategori.php.html#13\">App\\Filament\\Resources\\KategoriResource\\Pages\\EditKategori::getActions<\/a>"],[100,1,"<a href=\"Filament\/Resources\/KategoriResource\/Pages\/ListKategoris.php.html#13\">App\\Filament\\Resources\\KategoriResource\\Pages\\ListKategoris::getActions<\/a>"],[100,3,"<a href=\"Filament\/Resources\/TulisanResource.php.html#33\">App\\Filament\\Resources\\TulisanResource::form<\/a>"],[100,2,"<a href=\"Filament\/Resources\/TulisanResource.php.html#101\">App\\Filament\\Resources\\TulisanResource::table<\/a>"],[100,1,"<a href=\"Filament\/Resources\/TulisanResource.php.html#158\">App\\Filament\\Resources\\TulisanResource::getRelations<\/a>"],[100,1,"<a href=\"Filament\/Resources\/TulisanResource.php.html#165\">App\\Filament\\Resources\\TulisanResource::getPages<\/a>"],[100,1,"<a href=\"Filament\/Resources\/TulisanResource\/Pages\/CreateTulisan.php.html#13\">App\\Filament\\Resources\\TulisanResource\\Pages\\CreateTulisan::mutateFormDataBeforeCreate<\/a>"],[100,1,"<a href=\"Filament\/Resources\/TulisanResource\/Pages\/EditTulisan.php.html#13\">App\\Filament\\Resources\\TulisanResource\\Pages\\EditTulisan::getActions<\/a>"],[100,1,"<a href=\"Filament\/Resources\/TulisanResource\/Pages\/ListTulisans.php.html#13\">App\\Filament\\Resources\\TulisanResource\\Pages\\ListTulisans::getActions<\/a>"],[100,1,"<a href=\"Filament\/Resources\/UserResource.php.html#24\">App\\Filament\\Resources\\UserResource::form<\/a>"],[100,1,"<a href=\"Filament\/Resources\/UserResource.php.html#52\">App\\Filament\\Resources\\UserResource::table<\/a>"],[100,1,"<a href=\"Filament\/Resources\/UserResource.php.html#101\">App\\Filament\\Resources\\UserResource::getRelations<\/a>"],[100,1,"<a href=\"Filament\/Resources\/UserResource.php.html#108\">App\\Filament\\Resources\\UserResource::getPages<\/a>"],[100,1,"<a href=\"Filament\/Resources\/UserResource\/Pages\/CreateUser.php.html#13\">App\\Filament\\Resources\\UserResource\\Pages\\CreateUser::mutateFormDataBeforeCreate<\/a>"],[100,1,"<a href=\"Filament\/Resources\/UserResource\/Pages\/EditUser.php.html#13\">App\\Filament\\Resources\\UserResource\\Pages\\EditUser::getActions<\/a>"],[100,1,"<a href=\"Filament\/Resources\/UserResource\/Pages\/ListUsers.php.html#13\">App\\Filament\\Resources\\UserResource\\Pages\\ListUsers::getActions<\/a>"],[0,2,"<a href=\"Http\/Middleware\/Authenticate.php.html#15\">App\\Http\\Middleware\\Authenticate::redirectTo<\/a>"],[0,4,"<a href=\"Http\/Middleware\/RedirectIfAuthenticated.php.html#20\">App\\Http\\Middleware\\RedirectIfAuthenticated::handle<\/a>"],[0,1,"<a href=\"Http\/Middleware\/TrustHosts.php.html#14\">App\\Http\\Middleware\\TrustHosts::hosts<\/a>"],[0,1,"<a href=\"Models\/Kategori.php.html#25\">App\\Models\\Kategori::tulisans<\/a>"],[100,1,"<a href=\"Models\/User.php.html#52\">App\\Models\\User::canAccessFilament<\/a>"],[0,1,"<a href=\"Models\/User.php.html#58\">App\\Models\\User::tulisans<\/a>"],[100,1,"<a href=\"Models\/tulisan.php.html#30\">App\\Models\\tulisan::user<\/a>"],[100,1,"<a href=\"Models\/tulisan.php.html#35\">App\\Models\\tulisan::Kategori<\/a>"],[100,1,"<a href=\"Providers\/AppServiceProvider.php.html#14\">App\\Providers\\AppServiceProvider::register<\/a>"],[100,1,"<a href=\"Providers\/AppServiceProvider.php.html#24\">App\\Providers\\AppServiceProvider::boot<\/a>"],[100,1,"<a href=\"Providers\/AuthServiceProvider.php.html#24\">App\\Providers\\AuthServiceProvider::boot<\/a>"],[0,1,"<a href=\"Providers\/BroadcastServiceProvider.php.html#15\">App\\Providers\\BroadcastServiceProvider::boot<\/a>"],[100,1,"<a href=\"Providers\/EventServiceProvider.php.html#28\">App\\Providers\\EventServiceProvider::boot<\/a>"],[100,1,"<a href=\"Providers\/EventServiceProvider.php.html#38\">App\\Providers\\EventServiceProvider::shouldDiscoverEvents<\/a>"],[100,1,"<a href=\"Providers\/RouteServiceProvider.php.html#27\">App\\Providers\\RouteServiceProvider::boot<\/a>"],[50,2,"<a href=\"Providers\/RouteServiceProvider.php.html#46\">App\\Providers\\RouteServiceProvider::configureRateLimiting<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
